MyGUI: MyGUI::ISubWidgetText Class Reference

MyGUI 3.2.2

Public Types | Public Member Functions | Static Public Member Functions
MyGUI::ISubWidgetText Class Reference

`#include <MyGUI_ISubWidgetText.h>`

Inheritance diagram for MyGUI::ISubWidgetText:
[legend]

## Public Types
typedef RTTIBase | Base
typedef ISubWidgetText | RTTIBase
Public Types inherited from MyGUI::ISubWidget
typedef RTTIBase | Base
typedef ISubWidget | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual const std::string & | getTypeName () const
virtual bool | isType (const std::type_info &_type) const
template<typename Type >
bool | isType () const
virtual | ~ISubWidgetText ()
virtual size_t | getTextSelectionStart () const
virtual size_t | getTextSelectionEnd () const
virtual void | setTextSelection (size_t _start, size_t _end)
virtual bool | getSelectBackground () const
virtual void | setSelectBackground (bool _normal)
virtual bool | getInvertSelected () const
virtual void | setInvertSelected (bool _value)
virtual bool | getShadow () const
virtual void | setShadow (bool _value)
virtual bool | isVisibleCursor () const
virtual void | setVisibleCursor (bool _value)
virtual size_t | getCursorPosition () const
virtual void | setCursorPosition (size_t _index)
virtual void | setWordWrap (bool _value)
virtual size_t | getCursorPosition (const IntPoint &_point)
virtual IntCoord | getCursorCoord (size_t _position)
IntPoint | getCursorPoint (size_t _position)
IntRect | getCursorRect (size_t _position)
virtual IntSize | getTextSize ()
virtual void | setViewOffset (const IntPoint &_point)
virtual IntPoint | getViewOffset () const
virtual void | setCaption (const UString &_value)
virtual const UString & | getCaption () const
virtual void | setTextColour (const Colour &_value)
virtual const Colour & | getTextColour () const
virtual void | setFontName (const std::string &_value)
virtual const std::string & | getFontName () const
virtual void | setFontHeight (int _value)
virtual int | getFontHeight () const
virtual void | setTextAlign (Align _value)
virtual Align | getTextAlign () const
virtual void | setShiftText (bool _value)
virtual void | setShadowColour (const Colour &_value)
virtual const Colour & | getShadowColour () const
Public Member Functions inherited from MyGUI::ISubWidget
template<typename Type >
bool | isType () const
| ISubWidget ()
virtual | ~ISubWidget ()
virtual void | createDrawItem (ITexture *_texture, ILayerNode *_node)=0
virtual void | destroyDrawItem ()=0
virtual void | setAlpha (float _alpha)
virtual void | setStateData (IStateInfo *_data)
virtual void | doRender ()=0
virtual void | setAlign (Align _value)
virtual void | setVisible (bool _value)
virtual void | _updateView ()
virtual void | _correctView ()
virtual void | _setAlign (const IntSize &_oldsize)
virtual void | doManualRender (IVertexBuffer *_buffer, ITexture *_texture, size_t _count)
Public Member Functions inherited from MyGUI::ICroppedRectangle
| ICroppedRectangle ()
virtual | ~ICroppedRectangle ()
ICroppedRectangle * | getCroppedParent ()
virtual void | setPosition (const IntPoint &_value)
virtual void | setSize (const IntSize &_value)
virtual void | setCoord (const IntCoord &_value)
IntPoint | getPosition () const
IntSize | getSize () const
const IntCoord & | getCoord () const
const IntPoint & | getAbsolutePosition () const
IntRect | getAbsoluteRect () const
IntCoord | getAbsoluteCoord () const
int | getAbsoluteLeft () const
int | getAbsoluteTop () const
int | getLeft () const
int | getRight () const
int | getTop () const
int | getBottom () const
int | getWidth () const
int | getHeight () const
bool | _isMargin () const
int | _getViewLeft () const
int | _getViewRight () const
int | _getViewTop () const
int | _getViewBottom () const
int | _getViewWidth () const
int | _getViewHeight () const
void | _setCroppedParent (ICroppedRectangle *_parent)
const IntRect & | _getMargin () const
int | _getMarginLeft () const
int | _getMarginRight () const
int | _getMarginTop () const
int | _getMarginBottom () const
Public Member Functions inherited from MyGUI::IObject
template<typename Type >
bool | isType () const
template<typename Type >
Type * | castType (bool _throw=true)
template<typename Type >
const Type * | castType (bool _throw=true) const
| IObject ()
virtual | ~IObject ()

## Static Public Member Functions
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ISubWidget
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static const std::string & | getClassTypeName ()

## Additional Inherited Members
Protected Member Functions inherited from MyGUI::ICroppedRectangle
bool | _checkMargin ()
bool | _checkOutside () const
Protected Attributes inherited from MyGUI::ISubWidget
Align | mAlign
bool | mVisible
Protected Attributes inherited from MyGUI::ICroppedRectangle
IntRect | mMargin
IntCoord | mCoord
IntPoint | mAbsolutePosition
bool | mIsMargin
ICroppedRectangle * | mCroppedParent

## Detailed Description

Definition at line 18 of file MyGUI_ISubWidgetText.h.

## Member Typedef Documentation

## ◆ Base

typedef RTTIBase MyGUI::ISubWidgetText::Base

Definition at line 21 of file MyGUI_ISubWidgetText.h.

## ◆ RTTIBase

typedef ISubWidgetText MyGUI::ISubWidgetText::RTTIBase

Definition at line 21 of file MyGUI_ISubWidgetText.h.

## Constructor & Destructor Documentation

## ◆ ~ISubWidgetText()

virtual MyGUI::ISubWidgetText::~ISubWidgetText | ( |  | ) |
| inlinevirtual

Definition at line 24 of file MyGUI_ISubWidgetText.h.

## Member Function Documentation

## ◆ getCaption()

virtual const UString& MyGUI::ISubWidgetText::getCaption | ( |  | ) | const
| inlinevirtual

Reimplemented in MyGUI::EditText.

Definition at line 124 of file MyGUI_ISubWidgetText.h.

## ◆ getClassTypeName()

static const std::string& MyGUI::ISubWidgetText::getClassTypeName | ( |  | ) |
| inlinestatic

Definition at line 21 of file MyGUI_ISubWidgetText.h.

## ◆ getCursorCoord()

virtual IntCoord MyGUI::ISubWidgetText::getCursorCoord | ( | size_t | _position | ) |
| inlinevirtual

Reimplemented in MyGUI::EditText.

Definition at line 91 of file MyGUI_ISubWidgetText.h.

## ◆ getCursorPoint()

IntPoint MyGUI::ISubWidgetText::getCursorPoint | ( | size_t | _position | ) |
| inline

Definition at line 97 of file MyGUI_ISubWidgetText.h.

## ◆ getCursorPosition() [1/2]

virtual size_t MyGUI::ISubWidgetText::getCursorPosition | ( |  | ) | const
| inlinevirtual

Reimplemented in MyGUI::EditText.

Definition at line 74 of file MyGUI_ISubWidgetText.h.

## ◆ getCursorPosition() [2/2]

virtual size_t MyGUI::ISubWidgetText::getCursorPosition | ( | const IntPoint & | _point | ) |
| inlinevirtual

Reimplemented in MyGUI::EditText.

Definition at line 85 of file MyGUI_ISubWidgetText.h.

## ◆ getCursorRect()

IntRect MyGUI::ISubWidgetText::getCursorRect | ( | size_t | _position | ) |
| inline

Definition at line 104 of file MyGUI_ISubWidgetText.h.

## ◆ getFontHeight()

virtual int MyGUI::ISubWidgetText::getFontHeight | ( |  | ) | const
| inlinevirtual

Reimplemented in MyGUI::EditText.

Definition at line 142 of file MyGUI_ISubWidgetText.h.

## ◆ getFontName()

virtual const std::string& MyGUI::ISubWidgetText::getFontName | ( |  | ) | const
| inlinevirtual

Reimplemented in MyGUI::EditText.

Definition at line 136 of file MyGUI_ISubWidgetText.h.

## ◆ getInvertSelected()

virtual bool MyGUI::ISubWidgetText::getInvertSelected | ( |  | ) | const
| inlinevirtual

Reimplemented in MyGUI::EditText.

Definition at line 50 of file MyGUI_ISubWidgetText.h.

## ◆ getSelectBackground()

virtual bool MyGUI::ISubWidgetText::getSelectBackground | ( |  | ) | const
| inlinevirtual

Reimplemented in MyGUI::EditText.

Definition at line 42 of file MyGUI_ISubWidgetText.h.

## ◆ getShadow()

virtual bool MyGUI::ISubWidgetText::getShadow | ( |  | ) | const
| inlinevirtual

Reimplemented in MyGUI::EditText.

Definition at line 58 of file MyGUI_ISubWidgetText.h.

## ◆ getShadowColour()

virtual const Colour& MyGUI::ISubWidgetText::getShadowColour | ( |  | ) | const
| inlinevirtual

Reimplemented in MyGUI::EditText.

Definition at line 156 of file MyGUI_ISubWidgetText.h.

## ◆ getTextAlign()

virtual Align MyGUI::ISubWidgetText::getTextAlign | ( |  | ) | const
| inlinevirtual

Reimplemented in MyGUI::EditText.

Definition at line 148 of file MyGUI_ISubWidgetText.h.

## ◆ getTextColour()

virtual const Colour& MyGUI::ISubWidgetText::getTextColour | ( |  | ) | const
| inlinevirtual

Reimplemented in MyGUI::EditText.

Definition at line 130 of file MyGUI_ISubWidgetText.h.

## ◆ getTextSelectionEnd()

virtual size_t MyGUI::ISubWidgetText::getTextSelectionEnd | ( |  | ) | const
| inlinevirtual

Get index of end of selection

Reimplemented in MyGUI::EditText.

Definition at line 33 of file MyGUI_ISubWidgetText.h.

## ◆ getTextSelectionStart()

virtual size_t MyGUI::ISubWidgetText::getTextSelectionStart | ( |  | ) | const
| inlinevirtual

Get index of start of selection

Reimplemented in MyGUI::EditText.

Definition at line 27 of file MyGUI_ISubWidgetText.h.

## ◆ getTextSize()

virtual IntSize MyGUI::ISubWidgetText::getTextSize | ( |  | ) |
| inlinevirtual

Reimplemented in MyGUI::EditText.

Definition at line 111 of file MyGUI_ISubWidgetText.h.

## ◆ getTypeName()

virtual const std::string& MyGUI::ISubWidgetText::getTypeName | ( |  | ) | const
| inlinevirtual

Get type name as string

Reimplemented from MyGUI::ISubWidget.

Reimplemented in MyGUI::EditText, and MyGUI::SimpleText.

Definition at line 21 of file MyGUI_ISubWidgetText.h.

## ◆ getViewOffset()

virtual IntPoint MyGUI::ISubWidgetText::getViewOffset | ( |  | ) | const
| inlinevirtual

Reimplemented in MyGUI::EditText.

Definition at line 118 of file MyGUI_ISubWidgetText.h.

## ◆ isType() [1/2]

template<typename Type >

bool MyGUI::ISubWidgetText::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 21 of file MyGUI_ISubWidgetText.h.

## ◆ isType() [2/2]

virtual bool MyGUI::ISubWidgetText::isType | ( | const std::type_info & | _type | ) | const
| inlinevirtual

Compare with selected type

Reimplemented from MyGUI::ISubWidget.

Reimplemented in MyGUI::EditText, and MyGUI::SimpleText.

Definition at line 21 of file MyGUI_ISubWidgetText.h.

## ◆ isVisibleCursor()

virtual bool MyGUI::ISubWidgetText::isVisibleCursor | ( |  | ) | const
| inlinevirtual

Reimplemented in MyGUI::EditText.

Definition at line 66 of file MyGUI_ISubWidgetText.h.

## ◆ setCaption()

virtual void MyGUI::ISubWidgetText::setCaption | ( | const UString & | _value | ) |
| inlinevirtual

Reimplemented in MyGUI::EditText.

Definition at line 123 of file MyGUI_ISubWidgetText.h.

## ◆ setCursorPosition()

virtual void MyGUI::ISubWidgetText::setCursorPosition | ( | size_t | _index | ) |
| inlinevirtual

Reimplemented in MyGUI::EditText.

Definition at line 79 of file MyGUI_ISubWidgetText.h.

## ◆ setFontHeight()

virtual void MyGUI::ISubWidgetText::setFontHeight | ( | int | _value | ) |
| inlinevirtual

Reimplemented in MyGUI::EditText.

Definition at line 141 of file MyGUI_ISubWidgetText.h.

## ◆ setFontName()

virtual void MyGUI::ISubWidgetText::setFontName | ( | const std::string & | _value | ) |
| inlinevirtual

Reimplemented in MyGUI::EditText.

Definition at line 135 of file MyGUI_ISubWidgetText.h.

## ◆ setInvertSelected()

virtual void MyGUI::ISubWidgetText::setInvertSelected | ( | bool | _value | ) |
| inlinevirtual

Reimplemented in MyGUI::EditText.

Definition at line 55 of file MyGUI_ISubWidgetText.h.

## ◆ setSelectBackground()

virtual void MyGUI::ISubWidgetText::setSelectBackground | ( | bool | _normal | ) |
| inlinevirtual

Reimplemented in MyGUI::EditText.

Definition at line 47 of file MyGUI_ISubWidgetText.h.

## ◆ setShadow()

virtual void MyGUI::ISubWidgetText::setShadow | ( | bool | _value | ) |
| inlinevirtual

Reimplemented in MyGUI::EditText.

Definition at line 63 of file MyGUI_ISubWidgetText.h.

## ◆ setShadowColour()

virtual void MyGUI::ISubWidgetText::setShadowColour | ( | const Colour & | _value | ) |
| inlinevirtual

Reimplemented in MyGUI::EditText.

Definition at line 155 of file MyGUI_ISubWidgetText.h.

## ◆ setShiftText()

virtual void MyGUI::ISubWidgetText::setShiftText | ( | bool | _value | ) |
| inlinevirtual

Reimplemented in MyGUI::EditText.

Definition at line 153 of file MyGUI_ISubWidgetText.h.

## ◆ setTextAlign()

virtual void MyGUI::ISubWidgetText::setTextAlign | ( | Align | _value | ) |
| inlinevirtual

Reimplemented in MyGUI::EditText.

Definition at line 147 of file MyGUI_ISubWidgetText.h.

## ◆ setTextColour()

virtual void MyGUI::ISubWidgetText::setTextColour | ( | const Colour & | _value | ) |
| inlinevirtual

Reimplemented in MyGUI::EditText.

Definition at line 129 of file MyGUI_ISubWidgetText.h.

## ◆ setTextSelection()

virtual void MyGUI::ISubWidgetText::setTextSelection | ( | size_t | _start,
|  | size_t | _end
| ) |  |
| inlinevirtual

Set text selection

Reimplemented in MyGUI::EditText.

Definition at line 39 of file MyGUI_ISubWidgetText.h.

## ◆ setViewOffset()

virtual void MyGUI::ISubWidgetText::setViewOffset | ( | const IntPoint & | _point | ) |
| inlinevirtual

Reimplemented in MyGUI::EditText, and MyGUI::SimpleText.

Definition at line 117 of file MyGUI_ISubWidgetText.h.

## ◆ setVisibleCursor()

virtual void MyGUI::ISubWidgetText::setVisibleCursor | ( | bool | _value | ) |
| inlinevirtual

Reimplemented in MyGUI::EditText.

Definition at line 71 of file MyGUI_ISubWidgetText.h.

## ◆ setWordWrap()

virtual void MyGUI::ISubWidgetText::setWordWrap | ( | bool | _value | ) |
| inlinevirtual

Reimplemented in MyGUI::EditText.

Definition at line 81 of file MyGUI_ISubWidgetText.h.

The documentation for this class was generated from the following file:

- MyGUI_ISubWidgetText.h